#!/bin/sh

# stretch the PNG image using the range used by the material map setup
gdal_translate -scale 25 230 0 255 -b 1 -ot byte -of envi -co SUFFIX=ADD ../cloud_mat_map/thin_cirrus.png cloud_frac.img

# convert the 8-bit fraction into double-precision fractions
gdal_translate -scale 0 255 0 1 -ot float64 -of envi -co SUFFIX=ADD cloud_frac.img cloud_mix1.img
gdal_translate -scale 0 255 1 0 -ot float64 -of envi -co SUFFIX=ADD cloud_frac.img cloud_mix2.img

# combine the two images to make a band-sequential (BSQ) image
cat cloud_mix1.img cloud_mix2.img > cloud_mix_bsq.img

# now convert the BSQ to a BIP (faster for DIRSIG)
gdal_translate -of envi -co INTERLEAVE=BIP -co SUFFIX=ADD cloud_mix_bsq.img cloud_mix.img

# clean up all our temporaries
rm -fr cloud_frac.img cloud_frac.img.hdr
rm -fr cloud_mix1.img cloud_mix1.img.hdr
rm -fr cloud_mix2.img cloud_mix2.img.hdr
rm -fr cloud_mix_bsq.img
